#!/bin/bash

# curl -o docker-install.sh https://git.zykeji.club/open/server-init/raw/master/CentOS/7/docker/docker-centos-7-install-1.0.sh && sh docker-install.sh

echo "安装Docker"
echo "清除旧版本"
yum remove docker docker-client docker-client-latest docker-common docker-latest docker-latest-logrotate docker-logrotate docker-engine
yum remove docker-ce
echo "安装相关依赖"
yum install -y yum-utils device-mapper-persistent-data lvm2
echo "配置YUM源加速"
yum-config-manager --add-repo http://mirrors.aliyun.com/docker-ce/linux/centos/docker-ce.repo
echo "安装Docker"
yum install -y docker-ce docker-ce-cli containerd.io
echo "启动并设置自启"
systemctl start docker
systemctl enable docker
echo "设置Docker镜像加速"
mkdir -p /etc/docker
tee /etc/docker/daemon.json <<-'EOF'
{
  "registry-mirrors": ["https://qu3lgucz.mirror.aliyuncs.com"]
}
EOF
echo "刷新配置"
systemctl daemon-reload
systemctl restart docker
echo "Docker安装完成"
